from PIL import Image as PIL_Image

width, height = 512, 512

class Image:

	def __init__(self, path = None):
		self.path = path
		if path != None:
			self.image = PIL_Image.open(path)
			self.data = self.image.load()
		else:
			self.image = PIL_Image.new('RGB', (width, height))
			self.data = self.image.load()
		
	def setpixel(self, P, color):
		self.data[P[0], P[1]] = color
	
	def getpixel(self, P):
		return self.data[P[0], P[1]]
	
	def save(self, path, format_):
		self.image.save(path, format_)
	
	