
class ParseArgs:
	
	def __init__(self):
		self.options = dict()
	
	# action is a function taking a string as parameter
	def add(self, key, action):
		self.options[key] = action
	
	def parse(self, args):
		for arg in args:
			key = arg.split("=")[0]
			vals = "=".join(arg.split("=")[1:])
			if key in self.options:
				self.options[key](vals)